For the complete documentation index, see llms.txt. This page is also available as Markdown.

Predefined Images

List

get

Retrieve a list of AVD predefined vm images.

Responses
200

Success

application/json; api-version=1.0

AVD Predefiend VM Images

imageSessionTypestring · enumOptional

Host Session Type

Possible values:
displayNamestring · nullableOptional

Image name

publisherstring · nullableOptional

The organization that created the image

offerstring · nullableOptional

The name of a group of related images created by a publisher

skustring · nullableOptional

An instance of an offer, such as a major release of a distribution

get/api/AVD/PredefinedImages
GET /api/AVD/PredefinedImages HTTP/1.1
Accept: */*
[
  {
    "imageSessionType": [
      "0 = SingleSession",
      "1 = MultiSession"
    ],
    "displayName": "text",
    "publisher": "text",
    "offer": "text",
    "sku": "text"
  }
]